<?php

/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 *
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 *
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <support@shopmodule.com>
 * @link      http://www.oxidmodule.com
 */

/**
 * Metadata version
 */
$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'           => 'd3fileupload',
    'title'        => (class_exists('d3utils')?d3utils::getInstance()->getD3Logo():'D&sup3;'). ' Fileupload',
    'description'  => array(
        'de'            => 'Dieses Modul stellt im OXID eShop einen Uploadmanager f&uuml;r den Kunden nach dem '.
            'Bestellvorgang bereit.',
        'en'            => '',
    ),
    'thumbnail'    => 'picture.png',
    'version'      => '4.1.1.0',
    'author'       => 'D&sup3; Data Development',
    'email'        => 'support@shopmodule.com',
    'url'          => 'http://www.oxidmodule.com/',
    
    'extend'       => array(
        'oxorder'               => 'd3/d3fileupload/modules/models/d3_oxorder_fileupload',
        'oxarticle'             => 'd3/d3fileupload/modules/models/d3_oxarticle_fileupload',
        'oxemail'               => 'd3/d3fileupload/modules/models/d3_oxemail_fileupload',
     ),
     
    'files' => array(
        'd3_fileupload_cron'                 => 'd3/d3fileupload/public/d3_fileupload_cron.php',
        'd3fileupload_response'              => 'd3/d3fileupload/controllers/d3fileupload_response.php',
        'd3fileupload_licence'               => 'd3/d3fileupload/controllers/admin/d3fileupload_licence.php',
        'd3fileupload_list'                  => 'd3/d3fileupload/controllers/admin/d3fileupload_list.php',
        'd3fileupload_main'                  => 'd3/d3fileupload/controllers/admin/d3fileupload_main.php',
        'd3fileupload_orderupload'           => 'd3/d3fileupload/controllers/admin/d3fileupload_orderupload.php',
        'd3fileupload_settings'              => 'd3/d3fileupload/controllers/admin/d3fileupload_settings.php',
        
        'd3uploadmanager'                    => 'd3/d3fileupload/controllers/d3uploadmanager.php',
          
        'd3fileupload'                       => 'd3/d3fileupload/models/d3fileupload.php',
        'd3fileupload_db'                    => 'd3/d3fileupload/models/d3fileupload_db.php',
        'd3fileupload_file'                  => 'd3/d3fileupload/models/d3fileupload_file.php',
        'd3fileupload_setting'               => 'd3/d3fileupload/models/d3fileupload_setting.php',
        'd3fileuploadException'              => 'd3/d3fileupload/models/exceptions/d3fileuploadexception.php',
        'd3fileupload_cronUnavailableException'    =>
            'd3/d3fileupload/models/exceptions/d3fileupload_cronunavailableexception.php',

        'd3fileupload_update'                => 'd3/d3fileupload/setup/d3fileupload_update.php',
    ),

    'templates' => array(
        'd3fileupload_orderupload.tpl'       => 'd3/d3fileupload/views/admin/tpl/d3fileupload_orderupload.tpl',
        'd3fileupload_settings.tpl'          => 'd3/d3fileupload/views/admin/tpl/d3fileupload_settings.tpl',
        
        'd3uploadmanager.tpl'                => 'd3/d3fileupload/views/tpl/d3uploadmanager.tpl',

        'd3fileupload_notification_html.tpl' => 'd3/d3fileupload/views/tpl/email/html/d3fileupload_notification.tpl',
        'd3fileupload_notification_plain.tpl'=> 'd3/d3fileupload/views/tpl/email/plain/d3fileupload_notification.tpl',
    ),
    
    'blocks'       => array(
        array(
            'template' => 'article_main.tpl',
            'block'=>'admin_article_main_form',
            'file'=>'views/admin/blocks/admin_article_main_form.tpl'
        ),
        
        array(
            'template' => 'email/html/order_cust.tpl',
            'block'=>'email_html_order_cust_orderemail',
            'file'=>'views/blocks/email/html/email_html_order_cust_orderemail.tpl'
        ),
        array(
            'template' => 'email/plain/order_cust.tpl',
            'block'=>'email_plain_order_cust_orderemail',
            'file'=>'views/blocks/email/plain/email_plain_order_cust_orderemail.tpl'
        ),
        array(
            'template' => 'page/checkout/thankyou.tpl',
            'block'=>'checkout_thankyou_info',
            'file'=>'views/blocks/page/checkout/checkout_thankyou_info.tpl'
        ),
    ),
    'events'      => array(
        'onActivate' => 'd3install::checkUpdateStart',
    ),
    'd3FileRegister'    => array(
        'd3/d3fileupload/IntelliSenseHelper.php',
        'd3/d3fileupload/metadata.php',
        'd3/d3fileupload/translations/de/d3fileupload_lang.php',
        'd3/d3fileupload/views/admin/de/d3fileupload_lang.php',
    ),
);
